# Class: YARD::Parser::C::ToplevelStatement

Inherits:
  Statement
  - Object
  - Statement
  - YARD::Parser::C::ToplevelStatement
  show all

Defined in:
  lib/yard/parser/c/statement.rb

## Instance Attribute Summary collapse

- #block ⇒ Object

  Returns the value of attribute block.

- #comments ⇒ Object

  Returns the value of attribute comments.

- #declaration ⇒ Object

  Returns the value of attribute declaration.

## Constructor Details

This class inherits a constructor from YARD::Parser::C::Statement

## Instance Attribute Details

### #block ⇒ `Object`

Returns the value of attribute block.

    46
    47
    48

    # File 'lib/yard/parser/c/statement.rb', line 46

    def block
      @block
    end

### #comments ⇒ `Object`

Returns the value of attribute comments.

    48
    49
    50

    # File 'lib/yard/parser/c/statement.rb', line 48

    def comments
      @comments
    end

### #declaration ⇒ `Object`

Returns the value of attribute declaration.

    47
    48
    49

    # File 'lib/yard/parser/c/statement.rb', line 47

    def declaration
      @declaration
    end